Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 435642 - sys-kernel/mkinitcpio - install: cannot stat ‘install/{mdadm}’: No such file or directory
Summary: sys-kernel/mkinitcpio - install: cannot stat ‘install/{mdadm}’: No such file ...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Core system (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords: EBUILD, PATCH
Depends on:
Blocks:
 
Reported: 2012-09-20 13:36 UTC by Miroslav Rovis
Modified: 2013-01-19 14:43 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
The ebuild that fixes the bug. (mkinitcpio-0.9.2-r2.ebuild,3.14 KB, text/plain)
2012-09-20 13:36 UTC, Miroslav Rovis
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Miroslav Rovis 2012-09-20 13:36:57 UTC
Created attachment 324380 [details]
The ebuild that fixes the bug.

The line in mkinitcpio-0.9.2-r1.ebuild:
      use mdadm && doins install/{mdadm{,_udev}}
had to be changed to read:
      use mdadm && doins install/{mdadm{,_udev}
 because as in r1, it wouldn't install the package, but failed with:

install: cannot stat ‘install/{mdadm}’: No such file or directory
!!! doins: install/{mdadm} does not exist
install: cannot stat ‘install/{mdadm_udev}’: No such file or directory
!!! doins: install/{mdadm_udev} does not exist 

This was pointed to me by developer udeved who ported this Arch Linux program to Gentoo, on the forums https://forums.gentoo.org/viewtopic-t-923168.html .

I am attaching just the version of ebuild with the fix as udeved suggested.
I am uncertain but I don't think any more is necessary. If yes, pls let me know.
Comment 1 Jeroen Roovers gentoo-dev 2012-09-20 14:49:29 UTC
Comment on attachment 324380 [details]
The ebuild that fixes the bug.

--- mkinitcpio-0.9.2-r1.ebuild  2012-07-04 20:17:37.000000000 +0200
+++ -   2012-09-20 16:49:14.787424623 +0200
@@ -81,7 +81,7 @@
        insinto /usr/lib/initcpio/install
        use udev && doins install/udev
        use device-mapper && doins install/lvm2
-       use mdadm && doins install/{mdadm{,_udev}}
+       use mdadm && doins install/{mdadm,mdadm_udev}
        use dmraid && doins install/dmraid
        use cryptsetup && doins install/encrypt
        use pcmcia && doins install/pcmcia
Comment 2 Jeroen Roovers gentoo-dev 2012-09-20 14:51:22 UTC
(In reply to comment #1)
> -       use mdadm && doins install/{mdadm{,_udev}}
> +       use mdadm && doins install/{mdadm,mdadm_udev}

Simply removing the outer curly braces should fix it:
          use mdadm && doins install/mdadm{,_udev}
Comment 3 Louis Sautier (sbraz) gentoo-dev 2012-11-25 23:43:22 UTC
The bug is still present, how come it wasn't fixed in the tree?
Comment 4 Samuli Suominen gentoo-dev 2013-01-19 14:43:40 UTC
Fixed in -r2 without revbump (since I've just added -r2 like minute or two ago)